LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
LicenseDialog Service Reference

The LicenseDialog is used to display a license text. More...

`import"LicenseDialog.idl";`

Inheritance diagram for LicenseDialog:

## Public Member Functions
| create ([in] com::sun::star::awt::XWindow xParent, [in] string extensionName, [in] string licenseText)
| Create a GUI using the specific parent window and focus on the given context. More...
Public Member Functions inherited from XExecutableDialog
void | setTitle ([in] string aTitle)
| Sets the title of the dialog. More...
short | execute ()
| Executes (shows) the dialog. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

The LicenseDialog is used to display a license text.

Since
  OOo 2.0.4

## Member Function Documentation

## ◆ create()

create | ( | [in] com::sun::star::awt::XWindow | xParent,
|  | [in] string | extensionName,
|  | [in] string | licenseText
| ) |  |

Create a GUI using the specific parent window and focus on the given context.

Parameters

  xParent | parent window
  extensionName | the display name of the extension
  licenseText | text to be displayed

The documentation for this service was generated from the following file:

- com/sun/star/deployment/ui/LicenseDialog.idl